Subject: Re: [bug#35394] [PATCH 0/3] Bootloader localization

From: Miguel Arruga Vivas <[email-masked]>
Date: Mon, 21 Oct 2019 12:40:35 +0200

Hi Ludo’,

El Mon, 29 Apr 2019 09:56:25 +0200
Ludovic Courtès <[email-masked]> escribió:
> Hi Miguel,
> 
> Thanks a lot for this work.

I've been quite silent about this because I wanted to solve the issue
with .mo files in a better way, but my current understanding is that
the best way to go with that is to make grub installation
(store-)reproducible and removing /boot altogether, so I'll open
a different thread on the mailing list about that.  For the moment,
the patches following this mail rely on the installation
of /boot/grub/locale, usually generated by grub-install.  The generated
grub.cfg scriptlet enables the use case for /boot in a different
partition found in many other distributions (which breaks the boot
when /gnu/store is encrypted in a different partition, I'm going to fill
a bug for that too).

I've tested them on the following machine configurations, on top of
commit 5f760515c8:
	- grub-efi on x86_64-gnu-linux:
		* Encrypted partition for the whole disk.
		* Separate "/boot" (ext4) and "/" (ext4 and btrfs)
		  partitions.
	- grub-pc on x86_64-gnu-linux:
		* Same as grub-efi, plus
		* Encrypted and different "/boot" and "/" partitions,
		  typing manually in the console
		  "cryptomount (hdX,msdosX)" with the "/" partition to
		  allow grub loading the kernel image.

> FWIW, I’m holding off review and integration after 1.0, but I’m happy
> if someone else reviews :-),

I'm CCing the list to bring some attention onto it, I think it's
on-topic enough to worth a try.  The hardest part for review is the new
test case, because I wanted to be 100% sure I didn't break anything.
As you can see, the tested code didn't need almost any change, although
I've made some changes on the test case from the last set of patches.

> and I’ll be really happy to see it in master once 1.0 is out.

I wish we'll see it in master soon.

Best regards,
Miguel